## com.sun.pdfview.colorspace
Class LabColor

    java.lang.Object
      java.awt.color.ColorSpace
          com.sun.pdfview.colorspace.LabColor

All Implemented Interfaces:
  java.io.Serializable

    public class LabColor

extends java.awt.color.ColorSpace

A ColorSpace for Lab color

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.color.ColorSpace
`CS_CIEXYZ, CS_GRAY, CS_LINEAR_RGB, CS_PYCC, CS_sRGB, TYPE_2CLR, TYPE_3CLR, TYPE_4CLR, TYPE_5CLR, TYPE_6CLR, TYPE_7CLR, TYPE_8CLR, TYPE_9CLR, TYPE_ACLR, TYPE_BCLR, TYPE_CCLR, TYPE_CMY, TYPE_CMYK, TYPE_DCLR, TYPE_ECLR, TYPE_FCLR, TYPE_GRAY, TYPE_HLS, TYPE_HSV, TYPE_Lab, TYPE_Luv, TYPE_RGB, TYPE_XYZ, TYPE_YCbCr, TYPE_Yxy`

Constructor Summary
`LabColor(PDFObject obj)` Create a new Lab color space object, given the description in a PDF dictionary.

Method Summary
`float[]` `fromCIEXYZ(float[] colorvalue)` convert from CIEXYZ to Lab.
`float[]` `fromRGB(float[] rgbvalue)` convert from RGB to Lab.
`int` `getNumComponents()` get the number of components for this color space (3)
`int` `getType()` get the type of this colorspace (TYPE_Lab)
`float` `stage2(float s1)` Stage 2 of the conversion algorithm.
`float[]` `toCIEXYZ(float[] colorvalue)` convert from Lab to CIEXYZ.
`float[]` `toRGB(float[] comp)` convert from Lab to RGB

Methods inherited from class java.awt.color.ColorSpace
`getInstance, getMaxValue, getMinValue, getName, isCS_sRGB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabColor

    public LabColor(PDFObject obj)
             throws java.io.IOException

  Create a new Lab color space object, given the description in a PDF dictionary.

  Parameters:
    `obj` - a dictionary that contains an Array of 3 Numbers for "WhitePoint" and "BlackPoint", and an array of 4 Numbers for "Range".
  Throws:
    `java.io.IOException`

Method Detail

### getNumComponents

    public int getNumComponents()

  get the number of components for this color space (3)

  Overrides:
    `getNumComponents` in class `java.awt.color.ColorSpace`

### stage2

    public final float stage2(float s1)

  Stage 2 of the conversion algorithm. Pulled out because it gets invoked for each component

### toRGB

    public float[] toRGB(float[] comp)

  convert from Lab to RGB

  Specified by:
    `toRGB` in class `java.awt.color.ColorSpace`
  Parameters:
    `comp` - the Lab values (0-1)
  Returns:
    the RGB values (0-1)

### fromRGB

    public float[] fromRGB(float[] rgbvalue)

  convert from RGB to Lab. NOT IMPLEMENTED

  Specified by:
    `fromRGB` in class `java.awt.color.ColorSpace`

### fromCIEXYZ

    public float[] fromCIEXYZ(float[] colorvalue)

  convert from CIEXYZ to Lab. NOT IMPLEMENTED

  Specified by:
    `fromCIEXYZ` in class `java.awt.color.ColorSpace`

### getType

    public int getType()

  get the type of this colorspace (TYPE_Lab)

  Overrides:
    `getType` in class `java.awt.color.ColorSpace`

### toCIEXYZ

    public float[] toCIEXYZ(float[] colorvalue)

  convert from Lab to CIEXYZ. NOT IMPLEMENTED

  Specified by:
    `toCIEXYZ` in class `java.awt.color.ColorSpace`